<?php 
// Include main file
include_once('../libs/main.php');
// Check admin Login
include_once('checkLogin.php');
// Logical section of page
$userObj =  new  user();
if(isset($_REQUEST['act']) && $_REQUEST['act']=='change_status' && isset($_REQUEST['user_id'])){
    if(isset($_REQUEST['status'])){
        $userObj->changeStatus($_REQUEST['user_id']);
        echo RECORD_STATUS;
    }
    return true;
}
if(isset($_REQUEST['act']) && $_REQUEST['act']=='delete' && isset($_REQUEST['user_id'])){
    $userObj->deleteFromId($_REQUEST['user_id']);
    $successMsg = base64_encode(RECORD_DELETE);
}
if(isset($_REQUEST['action']) && $_REQUEST['action']!=''){
    if($_REQUEST['action']=="activate_all"){
        $data=array("user_status" => '1');
        $rs = $userObj->updateManyRecords($data, $_POST['check']);
        $successMsg = base64_encode(RECORD_ALL_ACTIVE);
    }else if($_REQUEST['action']=="inactivate_all"){
        $data=array("user_status" => '0');
        $rs = $userObj->updateManyRecords($data, $_POST['check']);
        $successMsg = base64_encode(RECORD_ALL_INACTIVE);
    }else if($_REQUEST['action']=="delete_all"){
        $rs = $userObj->deleteManyRecords($_POST['check']);
        $successMsg = base64_encode(RECORD_ALL_DELETE);
    }
}

if (isset($_REQUEST['act']) && $_REQUEST['act']=='load'){
    $records = $_REQUEST['length'];
    $start=0;
    if(isset($_GET['start']) && $_GET['start']!='0'){
        $page = $_GET['start'];
    }
    $start=($page-1)*$limit;
    $limit = array('start'=>$_GET['start'],'record'=>$records);
    
    $where = " 1=1 ";
    if (isset($_REQUEST['search']['value']) && $_REQUEST['search']['value']!=""){
        $where = " user_unique_id LIKE '%".$_REQUEST['search']['value']."%' OR user_id LIKE '%".$_REQUEST['search']['value']."%' OR user_fname LIKE '%".$_REQUEST['search']['value']."%' OR user_lname LIKE '%".$_REQUEST['search']['value']."%' OR user_email_address LIKE '%".$_REQUEST['search']['value']."%'";
    }    
    $orderFields = array('user_id', 'user_fname', 'user_email_address','user_created_at','user_status');
    
    // Array of order by 
    $orderby=array();
    if (isset($_REQUEST['order']['0']['column']) && $_REQUEST['order']['0']['column']!=""){
        $orderby = array(" ".$orderFields[$_REQUEST['order']['0']['column']]." ".$_REQUEST['order']['0']['dir']);
    }else{
        $orderby = array(" user_id desc ");
    }

    $data    = array('where' => $where,'limit' => $limit, 'orderBy'=>$orderby);

    $userDetails = $userObj->getAllRecords($data);
    $recordsTotal   =   $userObj->getAllCount($data);

        
    if ($userDetails && count($userDetails)>0){
        foreach ($userDetails as $key => $user){

            $stripecardObj = new stripecard();
            $where = array("stripecard_user_id="=>$user->user_id,'stripecard_status='=>'Active');
            $stripeArg = array('where'=>$where);
            $cardExist = $stripecardObj->FromFields($stripeArg);
            $last4="";
            if($cardExist){
                $last4 = "*****".$cardExist->stripecard_last4;
            }
            if($user->user_status =='1'){
              $status = '<a href="javascript:void(0)" onclick="change_status('.$user->user_id.',0)" title="Inactivate"><span class="badge badge-success">Active</span></a>';
            }else{
              $status = '<a href="javascript:void(0)" onclick="change_status('.$user->user_id.',1)" title="Activate"><span class="badge badge-danger">Inactive</span></a>';
            }

            $action = '<a href="changepassword.php?user_id='.$user->user_id.'&user_type=user" class="btn btn-success white-btn"><i class="nav-icon i-Lock " title="Change Password"></i></a>
                 <a href="useradd.php?act=edit&user_id='.$user->user_id.'" class="btn btn-success white-btn"><i class="nav-icon i-Pen-2 "></i></a>
                 <a id="delete-confirm" onclick="delete_entry('.$user->user_id.');" class="btn btn-danger white-btn"><i class="nav-icon i-Close-Window "></i></a>';

            $response[] = array('<input type="checkbox" name="check[]" id="check[]" value="'.$user->user_id.'" class="check_class" />',
                    $user->user_id, 
                    $user->user_unique_id, 
                    $user->user_fname.' '.$user->user_lname,
                    $user->user_email_address,
                    $last4,
                    date('Y-m-d H:i:s',strtotime($user->user_created_at)),
                    "<div id='td_status_".$user->user_id."'>".$status."</div>",    
                    $action
             );
        }
        $result=array('recordsFiltered'=>$recordsTotal,'recordsTotal'=>$recordsTotal,'data'=>$response);
    }else{
        $result=array('recordsFiltered'=>0,'recordsTotal'=>0,'data'=>array());
    }
    echo json_encode($result);
    exit;
}

// Include Template 
include_once('../libs/routs.php')
?>